@REM =================================================================================
@REM Setup IBM Rational System Architect 11.4.1.2 iFix 1
@REM =================================================================================

@echo off

set ERROR_LOG=%TEMP%\SA_iFix_31.05.2012_ERRORLOG.log
    
set SA_iFix_Version=IBM Rational System Architect 11.4.1.2 iFix 1

if defined ProgramFiles(x86) (
for /F "tokens=2* delims=	 " %%A in ('REG QUERY "HKLM\SOFTWARE\Wow6432Node\Telelogic\System Architect\11.4.12532" /v ExecutablesDirectory') do set SA_INSTALLDIR=%%B
) else (
for /F "tokens=2* delims=	 " %%A in ('REG QUERY "HKLM\SOFTWARE\Telelogic\System Architect\11.4.12532" /v ExecutablesDirectory') do set SA_INSTALLDIR=%%B
)
if not "%SA_INSTALLDIR%"=="" goto Start
echo.
echo Could not locate System Architect installation directory
echo.
pause
goto Done

:Start

echo.
echo ===============================================================================
echo %SA_iFix_Version%
echo.
echo Product:  IBM Rational System Architect 11.4.1.2
echo.
echo Updates %SA_iFix_Version%
echo.
echo %ERROR_LOG%
echo will include a listing of any errors encountered while installing this iFix.
echo.
echo Contact Rational Technical Support if you encounter any installation errors.
echo ===============================================================================
echo.

if exist "%SA_INSTALLDIR%\saadoio_old.dll" goto Exists

pause

echo.
echo Installing Part I %SA_iFix_Version%....

echo.
rename "%SA_INSTALLDIR%\sadesign.dll" "sadesign_old3.dll"
rename "%SA_INSTALLDIR%\saadoio.dll" "saadoio_old.dll"

echo.
echo Installing Part II %SA_iFix_Version%....

copy sadesign.dll "%SA_INSTALLDIR%" > NUL
copy saadoio.dll "%SA_INSTALLDIR%" > NUL
if errorlevel 1 goto Error

goto Success

:Exists
echo.
echo Backup file present - update already applied.
echo.
goto Done

:Error
echo.
echo Error setting up %RSA_HotFix_Version%
echo See %ERROR_LOG% for details
echo.
goto Done

:Success
echo.
if exist %ERROR_LOG% del %ERROR_LOG% && echo Removing %ERROR_LOG%
echo ===============================================================================
echo %SA_iFix_Version%
echo     Successfully Installed
echo ===============================================================================
echo.

:Done